M_ActivityDoubleElevenDiamondGift = {}

function M_ActivityDoubleElevenDiamondGift:getData(key)
	if self.datas == nil then
		return nil
	end
	return self.datas[key]
end

function M_ActivityDoubleElevenDiamondGift:init()
	self.datas = {}
	self.datas[1] = {ID = 1, FlushTime = 0, Gift1Count = 100, Gift2Count = 10, Gift3Count = 2, GiftId = 320}
	self.datas[2] = {ID = 2, FlushTime = 12, Gift1Count = 100, Gift2Count = 10, Gift3Count = 2, GiftId = 321}
	self.datas[3] = {ID = 3, FlushTime = 20, Gift1Count = 100, Gift2Count = 10, Gift3Count = 2, GiftId = 322}
end

M_ActivityDoubleElevenDiamondGift:init()
